/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea .lea-page-homepage {
  position: relative;
  display: flex;
  flex-direction: column;

  &.standalone {
    height: 100vh;
    min-height: 100vh;
    max-height: 100vh;
  }

  &.embedded {
    height: 100%;
  }
}

.lea .lea-page-homepage * {
  font-size: 1.6rem;
}

.lea .lea-page-homepage-main {
  position: relative;
  display: flex;
  flex-direction: column;
  flex-grow: 1;

  &.standalone {
    & .header-component {
      width: 100%;
    }
    height: calc(100vh - 116px);
    min-height: calc(100vh - 116px);
    max-height: calc(100vh - 116px);
  }

  &.embedded {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
  }

  & .header-text {
    flex: 1;

    font-size: 0.875rem;
    line-height: 1.375rem;

    font-weight: 500;
  }

  & .main-header {
    position: relative;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    justify-items: center;
    gap: 1rem;
    .ant-btn {
      font-size: 1.6rem;
      line-height: 1.8rem;
    }
  }

  & .main-header-title {
    flex: 1 1 0%;

    font-size: 2.4rem;
    line-height: 4rem;
    min-width: 22.5rem;
    font-weight: 500;
  }

  & .main-header-buttons {
    position: relative;
    justify-content: flex-end;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
  }

  & .main-content {
    position: relative;
    width: max-content;
    min-width: 100%;
    display: flex;
    flex-direction: column;

    & .ant-tabs-tab-disabled {
      color: #909090;
    }

    & .user-documents-tab {
      & .row-count-wrapper {
        display: none;
      }
    }
    & .my-votes-tabs {
      background: none;
      padding: 0 6rem;
    }
  }

  & .header-component {
    & .header-wrapper * {
      font-size: 1.4rem;
    }
  }
}

.infoRequired {
  position: absolute;
  margin-left: 10px;
}

.colonRequired {
  position: absolute;
  margin-left: 12px;
}

@media screen and (max-width: 800px) {
  .lea & .lea-page-homepage-main & .main-header {
    display: block;
    & .main-header-buttons {
      margin-top: 1rem;
      justify-content: flex-start;
    }
  }
}
